Package org.apache.felix.http.base.internal.whiteboard.tracker

# Class JavaxServletContextHelperTracker

java.lang.Object
org.osgi.util.tracker.ServiceTracker<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>
org.apache.felix.http.base.internal.whiteboard.tracker.JavaxServletContextHelperTracker

All Implemented Interfaces:
  `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`

public final class JavaxServletContextHelperTracker extends org.osgi.util.tracker.ServiceTracker<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>
Tracks all `ServletContextHelper` services for the http whiteboard

## Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

## Constructor Summary

Constructors
Constructor
Description
`JavaxServletContextHelperTracker(@NotNull org.osgi.framework.BundleContext context, @NotNull WhiteboardManager manager)`
Create a new tracker

## Method Summary

Modifier and Type
Method
Description
`final org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>`
`addingService(@NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref)`
`void`
`close()`
`final void`
`modifiedService(@NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref, @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> service)`
`final void`
`removedService(@NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref, @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> service)`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, open, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaxServletContextHelperTracker

public JavaxServletContextHelperTracker(@NotNull @NotNull org.osgi.framework.BundleContext context, @NotNull @NotNull WhiteboardManager manager)
Create a new tracker

Parameters:
  `context` - bundle context
  `manager` - whiteboard manager

## Method Details

### close

public void close()

Overrides:
  `close` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`

### addingService

public final org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> addingService(@NotNull @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref)

Specified by:
  `addingService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`
Overrides:
  `addingService` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`

### modifiedService

public final void modifiedService(@NotNull @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref, @NotNull @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> service)

Specified by:
  `modifiedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`
Overrides:
  `modifiedService` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`

### removedService

public final void removedService(@NotNull @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> ref, @NotNull @NotNull org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper> service)

Specified by:
  `removedService` in interface `org.osgi.util.tracker.ServiceTrackerCustomizer<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`
Overrides:
  `removedService` in class `org.osgi.util.tracker.ServiceTracker<org.osgi.service.servlet.context.ServletContextHelper,org.osgi.framework.ServiceReference<org.osgi.service.servlet.context.ServletContextHelper>>`